<?php

namespace Slovocast\Infrastructure;

use PDO;

/**
 * Represents an active connection to the Database through the PDO. Unlike a
 * pool, these connections don't need to be returned. 
 */
interface DatabaseConnectionInterface
{
    public function getConnection(): PDO;
    public function getName(): string;
}
